Bug 1624743 - Adding input method dialog broken in gnome-control-center
Summary: Adding input method dialog broken in gnome-control-center
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-desktop3   
(Show other bugs)
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedFreezeException
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-03 07:54 UTC by Mike FABIAN
Modified: 2018-09-13 03:37 UTC (History)
11 users (show)

See Also:
Fixed In Version: gnome-desktop3-3.30.0-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-09-12 02:55:15 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gnome-control-center-input-method-add-no-languages-listed.png (118.32 KB, image/png)
2018-09-03 07:54 UTC, Mike FABIAN
no flags Details
gnome-control-center-input-method-add-all-inscript-methods-shown-under-other.png (145.28 KB, image/png)
2018-09-03 07:55 UTC, Mike FABIAN
no flags Details
gnome-control-center-input-method-add-pinyin-listed-under-other.png (104.69 KB, image/png)
2018-09-03 08:01 UTC, Mike FABIAN
no flags Details

Description Mike FABIAN 2018-09-03 07:54:13 UTC
Created attachment 1480461 [details]
gnome-control-center-input-method-add-no-languages-listed.png

I installed Fedora-Workstation-netinst-x86_64-29-20180902.n.0.iso in qemu in Japanese with all defaults accepted except adding an English keyboard layout in Anaconda.

When Gnome first started, I did choose the Japanese input method ibus-kkc in gnome-initial-setup. Then, after gnome-initial-setup was finished, I opened
the gnome-control-center to add more input methods. 

See screenshot gnome-control-center-input-method-add-no-languages-listed.png.

I click on the three dots which opens a search entry field at the bottom
and I type "inscript" into that search entry.

Nothing is listed except the the entry その他 (which means "other" in Japanese)
at the top.

But this means  that my search string "inscript" matched something,
if I type something like "inscriptx" which has no matches, the 
"その他" ("other") line disappears. 

Now, while "inscript" is in the search entry, Ι click on その他 ("other")
and get a list of all the inscript input methods.

See screenshot gnome-control-center-input-method-add-all-inscript-methods-shown-under-other.png

These inscript input methods are all for various Indian languages, the language is even shown at the beginning of  each line (in Japanese translation). So these
should not be listed under その他 ("other") but under the respective language.

"inscript" is just an example, *all* input methods for any language 
are now shown under other.

Comment 1 Mike FABIAN 2018-09-03 07:55 UTC
Created attachment 1480462 [details]
gnome-control-center-input-method-add-all-inscript-methods-shown-under-other.png

Comment 2 Mike FABIAN 2018-09-03 08:01 UTC
Created attachment 1480463 [details]
gnome-control-center-input-method-add-pinyin-listed-under-other.png

The Chinese pinyin input method "Intelligent Pinyin" is also listed under その他 ("Other"), not under Chinese as it should be.

Comment 3 fujiwara 2018-09-05 07:17:35 UTC
Probably I think this is a bug in gnome-desktop3.

Comment 4 fujiwara 2018-09-05 07:17:56 UTC
Since this is a configure issue, I'd suggest to fix gnome-desktop3.spec

 %build
 %configure --enable-installed-tests
-make %{?_smp_mflags}
+make %{?_smp_mflags} DATADIRNAME=share

Comment 5 Kalev Lember 2018-09-10 17:34:10 UTC
I believe this should be fixed in gnome-desktop 3.30.0 that's in updates-testing.

Comment 6 Adam Williamson 2018-09-10 22:51:37 UTC
Discussed at 2018-09-10 freeze exception review meeting: https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2018-09-10/f29-blocker-review.2018-09-10-16.01.html . Rejected as a freeze exception issue as no clear grounds for FE status were provided in the bug.

(I can see why this might make sense as an FE, but I wasn't present when it was discussed).

Note that the overall 'put GNOME 3.30 in Beta' FE proposal was accepted, so if 3.30.0 fixes this as Kalev says, the fix will wind up in Beta anyway. Mike, can you test that? Thanks!

Comment 7 Fedora Update System 2018-09-11 08:02:18 UTC
abattis-cantarell-fonts-0.111-1.fc29 adwaita-icon-theme-3.30.0-1.fc29 aisleriot-3.22.6-1.fc29 amtk-5.0.0-2.fc29 anjuta-3.28.0-7.fc29 at-spi2-atk-2.30.0-1.fc29 at-spi2-core-2.30.0-2.fc29 atk-2.30.0-1.fc29 atomix-3.30.0.1-1.fc29 baobab-3.30.0-1.fc29 bijiben-3.30.0-1.fc29 cheese-3.30.0-2.fc29 dconf-0.30.0-1.fc29 dconf-editor-3.30.0-1.fc29 devhelp-3.30.0-2.fc29 epiphany-3.30.0-1.fc29 evince-3.30.0-2.fc29 file-roller-3.30.0-1.fc29 five-or-more-3.30.0-1.fc29 gdk-pixbuf2-2.38.0-4.fc29 gdm-3.30.0-3.fc29 gedit-3.30.0-2.fc29 gedit-plugins-3.30.0-1.fc29 gjs-1.54.0-2.fc29 glib-networking-2.58.0-2.fc29 glib2-2.58.0-1.fc29 gnome-2048-3.30.0-1.fc29 gnome-backgrounds-3.30.0-1.fc29 gnome-boxes-3.30.0-2.fc29 gnome-builder-3.30.0-2.fc29 gnome-calculator-3.30.0-1.fc29 gnome-calendar-3.30.0-1.fc29 gnome-characters-3.29.91-1.fc29 gnome-chess-3.30.0-1.fc29 gnome-clocks-3.30.0-2.fc29 gnome-color-manager-3.30.0-1.fc29 gnome-contacts-3.30-1.fc29 gnome-control-center-3.30.0-1.fc29 gnome-desktop3-3.30.0-2.fc29 gnome-disk-utility-3.30.0-1.fc29 gnome-font-viewer-3.30.0-1.fc29 gnome-getting-started-docs-3.30.0-1.fc29 gnome-initial-setup-3.29.92-1.fc29 gnome-logs-3.30.0-1.fc29 gnome-maps-3.30.0-1.fc29 gnome-mines-3.30.0-1.fc29 gnome-multi-writer-3.30.0-1.fc29 gnome-music-3.30.0-1.fc29 gnome-nibbles-3.24.1-1.fc29 gnome-online-accounts-3.30.0-3.fc29 gnome-online-miners-3.30.0-1.fc29 gnome-packagekit-3.30.0-1.fc29 gnome-photos-3.30.0-1.fc29 gnome-power-manager-3.30.0-1.fc29 gnome-screenshot-3.30.0-1.fc29 gnome-session-3.30.0-1.fc29 gnome-settings-daemon-3.30.0-1.fc29 gnome-shell-3.30.0-1.fc29 gnome-shell-extensions-3.30.0-1.fc29 gnome-software-3.30.0-1.fc29 gnome-sudoku-3.30.0-2.fc29 gnome-taquin-3.30.0-1.fc29 gnome-tweaks-3.30.0-1.fc29 gnome-user-docs-3.30.0-1.fc29 gobject-introspection-1.58.0-2.fc29 gpaste-3.30.1-1.fc29 gsettings-desktop-schemas-3.28.1-2.fc29 gtk-doc-1.29-1.fc29 gtk3-3.24.0-4.fc29 gtksourceview3-3.24.9-4.fc29 gtksourceview4-4.0.3-2.fc29 gucharmap-11.0.2-2.fc29 gvfs-1.38.0-1.fc29 iagno-3.30.0-1.fc29 jsonrpc-glib-3.30.0-2.fc29 libdazzle-3.30.0-1.fc29 librsvg2-2.44.2-2.fc29 libsoup-2.64.0-2.fc29 lightsoff-3.30.0-1.fc29 mozjs60-60.1.0-1.fc29 mutter-3.30.0-1.fc29 nautilus-3.30.0-2.fc29 orca-3.29.92-1.fc29 polari-3.30.0-1.fc29 pyatspi-2.30.0-1.fc29 pygobject3-3.30.0-1.fc29 rygel-0.36.2-2.fc29 seahorse-3.30-1.fc29 shotwell-0.29.92-1.fc29 simple-scan-3.30.0-1.fc29 sushi-3.30.0-1.fc29 swell-foop-3.30.0-1.fc29 sysprof-3.30.0-1.fc29 template-glib-3.30.0-2.fc29 tracker-2.1.4-3.fc29 tracker-miners-2.1.4-2.fc29 vala-0.42.0-1.fc29 webkit2gtk3-2.22.0-3.fc29 yelp-3.30.0-1.fc29 yelp-xsl-3.30.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-85d637c544

Comment 8 Fedora Update System 2018-09-11 08:03:12 UTC
abattis-cantarell-fonts-0.111-1.fc29 adwaita-icon-theme-3.30.0-1.fc29 aisleriot-3.22.6-1.fc29 amtk-5.0.0-2.fc29 anjuta-3.28.0-7.fc29 at-spi2-atk-2.30.0-1.fc29 at-spi2-core-2.30.0-2.fc29 atk-2.30.0-1.fc29 atomix-3.30.0.1-1.fc29 baobab-3.30.0-1.fc29 bijiben-3.30.0-1.fc29 cheese-3.30.0-2.fc29 dconf-0.30.0-1.fc29 dconf-editor-3.30.0-1.fc29 devhelp-3.30.0-2.fc29 epiphany-3.30.0-1.fc29 evince-3.30.0-2.fc29 file-roller-3.30.0-1.fc29 five-or-more-3.30.0-1.fc29 gdk-pixbuf2-2.38.0-4.fc29 gdm-3.30.0-3.fc29 gedit-3.30.0-2.fc29 gedit-plugins-3.30.0-1.fc29 gjs-1.54.0-2.fc29 glib-networking-2.58.0-2.fc29 glib2-2.58.0-1.fc29 gnome-2048-3.30.0-1.fc29 gnome-backgrounds-3.30.0-1.fc29 gnome-boxes-3.30.0-2.fc29 gnome-builder-3.30.0-2.fc29 gnome-calculator-3.30.0-1.fc29 gnome-calendar-3.30.0-1.fc29 gnome-characters-3.29.91-1.fc29 gnome-chess-3.30.0-1.fc29 gnome-clocks-3.30.0-2.fc29 gnome-color-manager-3.30.0-1.fc29 gnome-contacts-3.30-1.fc29 gnome-control-center-3.30.0-1.fc29 gnome-desktop3-3.30.0-2.fc29 gnome-disk-utility-3.30.0-1.fc29 gnome-font-viewer-3.30.0-1.fc29 gnome-getting-started-docs-3.30.0-1.fc29 gnome-initial-setup-3.29.92-1.fc29 gnome-logs-3.30.0-1.fc29 gnome-maps-3.30.0-1.fc29 gnome-mines-3.30.0-1.fc29 gnome-multi-writer-3.30.0-1.fc29 gnome-music-3.30.0-1.fc29 gnome-nibbles-3.24.1-1.fc29 gnome-online-accounts-3.30.0-3.fc29 gnome-online-miners-3.30.0-1.fc29 gnome-packagekit-3.30.0-1.fc29 gnome-photos-3.30.0-1.fc29 gnome-power-manager-3.30.0-1.fc29 gnome-screenshot-3.30.0-1.fc29 gnome-session-3.30.0-1.fc29 gnome-settings-daemon-3.30.0-1.fc29 gnome-shell-3.30.0-1.fc29 gnome-shell-extensions-3.30.0-1.fc29 gnome-software-3.30.0-1.fc29 gnome-sudoku-3.30.0-2.fc29 gnome-taquin-3.30.0-1.fc29 gnome-tweaks-3.30.0-1.fc29 gnome-user-docs-3.30.0-1.fc29 gobject-introspection-1.58.0-2.fc29 gpaste-3.30.1-1.fc29 gsettings-desktop-schemas-3.28.1-2.fc29 gtk-doc-1.29-1.fc29 gtk3-3.24.0-4.fc29 gtksourceview3-3.24.9-4.fc29 gtksourceview4-4.0.3-2.fc29 gucharmap-11.0.2-2.fc29 gvfs-1.38.0-1.fc29 iagno-3.30.0-1.fc29 jsonrpc-glib-3.30.0-2.fc29 libdazzle-3.30.0-1.fc29 librsvg2-2.44.2-2.fc29 libsoup-2.64.0-2.fc29 lightsoff-3.30.0-1.fc29 mozjs60-60.1.0-1.fc29 mutter-3.30.0-1.fc29 nautilus-3.30.0-2.fc29 orca-3.29.92-1.fc29 polari-3.30.0-1.fc29 pyatspi-2.30.0-1.fc29 pygobject3-3.30.0-1.fc29 rygel-0.36.2-2.fc29 seahorse-3.30-1.fc29 shotwell-0.29.92-1.fc29 simple-scan-3.30.0-1.fc29 sushi-3.30.0-1.fc29 swell-foop-3.30.0-1.fc29 sysprof-3.30.0-1.fc29 template-glib-3.30.0-2.fc29 tracker-2.1.4-3.fc29 tracker-miners-2.1.4-2.fc29 vala-0.42.0-1.fc29 webkit2gtk3-2.22.0-3.fc29 yelp-3.30.0-1.fc29 yelp-xsl-3.30.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-85d637c544

Comment 9 Mike FABIAN 2018-09-11 08:49:53 UTC
Seems fixed in Fedora-Workstation-netinst-x86_64-29-20180910.n.0.iso

Comment 10 Fedora Update System 2018-09-12 02:55:15 UTC
abattis-cantarell-fonts-0.111-1.fc29, adwaita-icon-theme-3.30.0-1.fc29, aisleriot-3.22.6-1.fc29, amtk-5.0.0-2.fc29, anjuta-3.28.0-7.fc29, at-spi2-atk-2.30.0-1.fc29, at-spi2-core-2.30.0-2.fc29, atk-2.30.0-1.fc29, atomix-3.30.0.1-1.fc29, baobab-3.30.0-1.fc29, bijiben-3.30.0-1.fc29, cheese-3.30.0-2.fc29, dconf-0.30.0-1.fc29, dconf-editor-3.30.0-1.fc29, devhelp-3.30.0-2.fc29, epiphany-3.30.0-1.fc29, evince-3.30.0-2.fc29, file-roller-3.30.0-1.fc29, five-or-more-3.30.0-1.fc29, gdk-pixbuf2-2.38.0-4.fc29, gdm-3.30.0-3.fc29, gedit-3.30.0-2.fc29, gedit-plugins-3.30.0-1.fc29, gjs-1.54.0-2.fc29, glib-networking-2.58.0-2.fc29, glib2-2.58.0-1.fc29, gnome-2048-3.30.0-1.fc29, gnome-backgrounds-3.30.0-1.fc29, gnome-boxes-3.30.0-2.fc29, gnome-builder-3.30.0-2.fc29, gnome-calculator-3.30.0-1.fc29, gnome-calendar-3.30.0-1.fc29, gnome-characters-3.29.91-1.fc29, gnome-chess-3.30.0-1.fc29, gnome-clocks-3.30.0-2.fc29, gnome-color-manager-3.30.0-1.fc29, gnome-contacts-3.30-1.fc29, gnome-control-center-3.30.0-1.fc29, gnome-desktop3-3.30.0-2.fc29, gnome-disk-utility-3.30.0-1.fc29, gnome-font-viewer-3.30.0-1.fc29, gnome-getting-started-docs-3.30.0-1.fc29, gnome-initial-setup-3.29.92-1.fc29, gnome-logs-3.30.0-1.fc29, gnome-maps-3.30.0-1.fc29, gnome-mines-3.30.0-2.fc29, gnome-multi-writer-3.30.0-1.fc29, gnome-music-3.30.0-1.fc29, gnome-nibbles-3.24.1-1.fc29, gnome-online-accounts-3.30.0-3.fc29, gnome-online-miners-3.30.0-1.fc29, gnome-packagekit-3.30.0-1.fc29, gnome-photos-3.30.0-1.fc29, gnome-power-manager-3.30.0-1.fc29, gnome-screenshot-3.30.0-1.fc29, gnome-session-3.30.0-1.fc29, gnome-settings-daemon-3.30.0-1.fc29, gnome-shell-3.30.0-1.fc29, gnome-shell-extensions-3.30.0-1.fc29, gnome-software-3.30.0-1.fc29, gnome-sudoku-3.30.0-2.fc29, gnome-taquin-3.30.0-1.fc29, gnome-tweaks-3.30.0-1.fc29, gnome-user-docs-3.30.0-1.fc29, gobject-introspection-1.58.0-2.fc29, gpaste-3.30.1-1.fc29, gsettings-desktop-schemas-3.28.1-2.fc29, gtk-doc-1.29-1.fc29, gtk3-3.24.0-4.fc29, gtksourceview3-3.24.9-4.fc29, gtksourceview4-4.0.3-2.fc29, gucharmap-11.0.2-2.fc29, gvfs-1.38.0-1.fc29, iagno-3.30.0-1.fc29, jsonrpc-glib-3.30.0-2.fc29, libdazzle-3.30.0-1.fc29, librsvg2-2.44.2-2.fc29, libsoup-2.64.0-2.fc29, lightsoff-3.30.0-1.fc29, mozjs60-60.1.0-1.fc29, mutter-3.30.0-1.fc29, nautilus-3.30.0-2.fc29, orca-3.29.92-1.fc29, polari-3.30.0-1.fc29, pyatspi-2.30.0-1.fc29, pygobject3-3.30.0-1.fc29, rygel-0.36.2-2.fc29, seahorse-3.30-1.fc29, shotwell-0.29.92-1.fc29, simple-scan-3.30.0-1.fc29, sushi-3.30.0-1.fc29, swell-foop-3.30.0-1.fc29, sysprof-3.30.0-1.fc29, template-glib-3.30.0-2.fc29, tracker-2.1.4-3.fc29, tracker-miners-2.1.4-2.fc29, vala-0.42.0-1.fc29, webkit2gtk3-2.22.0-3.fc29, yelp-3.30.0-1.fc29, yelp-xsl-3.30.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Mike FABIAN 2018-09-12 12:34:12 UTC
Works in Fedora-Workstation-netinst-x86_64-29-20180911.n.0.iso

Comment 12 fujiwara 2018-09-13 03:37:05 UTC
I filed another bug; https://gitlab.gnome.org/GNOME/gnome-control-center/issues/185


Note You need to log in before you can comment on or make changes to this bug.